<#
	.SYNOPSIS
		Get-ISqlAssessments
	.DESCRIPTION
		Get SQL Server best practice checks
	.PARAMETER serverInstance
		Get SQL Server instance
	.EXAMPLE
		.\Get-ISqlAssessments -serverInstance MyServer
	.INPUTS
	.OUTPUTS
		SQL Assessment items
	.NOTES
	.LINK
		https://docs.microsoft.com/en-us/powershell/module/sqlserver/Get-SqlAssessmentItem
#>

param
(
	[string]$serverInstance = "$(Read-Host 'Server Instance [e.g. Server01\SQL2016]')"
)

begin {
}
process {
	try {
		$result = Get-SqlInstance -ServerInstance $serverInstance | Get-SqlAssessmentItem		

		Write-Output $result
	}
	catch [Exception] {
		Write-Error $Error[0]
		$err = $_.Exception
		while ( $err.InnerException ) {
			$err = $err.InnerException
			Write-Output $err.Message
		}
	}
}
