<#
.SYNOPSIS
   	Initialize-ISqlPS2019
.DESCRIPTION
   	Initialize SQL Server 2019 PowerShell Module
	Once the module is loaded test it by typing:
		cd SQLSERVER:
	You can now explored the SQLSERVER Provider
.EXAMPLE
   	Initialize-ISqlPS2019
.NOTES
#>

$ErrorActionPreference = "Stop"

$sqlpsreg="HKLM:\SOFTWARE\Microsoft\PowerShell\1\ShellIds\Microsoft.SqlServer.Management.PowerShell.sqlps150"

if (Get-ChildItem $sqlpsreg -ErrorAction "SilentlyContinue")
{
    throw "SQL Server Provider for Windows PowerShell is not installed."
}

#Load 'SqlServer' Module so we can use the SQL Server PowerShell Provider
if (-not(Get-Module -name SqlServer)) { 
	if(Get-Module -ListAvailable | Where-Object { $_.name -eq "SqlServer" }) { 
		Import-Module -Name SqlServer -DisableNameChecking
	} else { 
		# The SqlServer module contains updated versions of the cmdlets in SQLPS 
		#   and includes new cmdlets to support the latest SQL features.
		# You need to install the SqlServer module from the PowerShell Gallery so you can import the module in this script.
		#    Install-Module -Name SqlServer -AllowClobber
		
		Throw "SQL Server 'SqlServer' module is not available." 
	} 
}
